Subject: Re: bug#57450: [PATCH] Option to choose the major model new scratch buffers

From: Lars Ingebrigtsen <[email-masked]>
Date: Sat, 27 Aug 2022 15:12:53 +0200

Augusto Stoffel <[email-masked]> writes:

> I just noticed the new `scratch-buffer' command and I think it would be
> nice to provide an option to create scratch buffers with different major
> modes.  WDYT?

I don't think that sounds very useful.  The point of the scratch-buffer
command is to help people who wondered what to do if they've
(accidentally) killed the *scratch* buffer.  Most people didn't know
that you could just say `C-x b *scratch* RET' and it'd be created (with
the correct mode) just fine, so having something on `M-x scratch TAB'
for them to find is nice.

But complicating this by (optionally) prompting for a mode isn't
helpful.  They can just say `M-x foo-mode' afterwards, and it's the same
amount of key strokes, I think.